org.jbpm.compiler

## Class ProcessBuildError

- java.lang.Object
- - org.drools.compiler.compiler.BaseKnowledgeBuilderResultImpl
  - - org.drools.compiler.compiler.DroolsError
    - - org.drools.compiler.compiler.DescrBuildError
      - - org.jbpm.compiler.ProcessBuildError

- All Implemented Interfaces:
    org.kie.internal.builder.KnowledgeBuilderError, org.kie.internal.builder.KnowledgeBuilderResult

      public class ProcessBuildError
      extends org.drools.compiler.compiler.DescrBuildError

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessBuildError(org.kie.api.definition.process.Process process, org.drools.compiler.lang.descr.BaseDescr descr, Object object, String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.definition.process.Process` | `getProcess()`

    - ### Methods inherited from class org.drools.compiler.compiler.DescrBuildError

      `getColumn, getDescr, getLine, getLines, getMessage, getNamespace, getObject, getParentDescr, toString`

    - ### Methods inherited from class org.drools.compiler.compiler.DroolsError

      `getSeverity`

    - ### Methods inherited from class org.drools.compiler.compiler.BaseKnowledgeBuilderResultImpl

      `asMessage, equals, getResource, hashCode, isError, setResource`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.builder.KnowledgeBuilderResult

      `asMessage, getResource`

- - ### Constructor Detail

    - #### ProcessBuildError

          public ProcessBuildError(org.kie.api.definition.process.Process process,
                                   org.drools.compiler.lang.descr.BaseDescr descr,
                                   Object object,
                                   String message)

  - ### Method Detail

    - #### getProcess

          public org.kie.api.definition.process.Process getProcess()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.